com.clarkware.junitperf

## Class ConstantTimer

- java.lang.Object
- - com.clarkware.junitperf.ConstantTimer

All Implemented Interfaces:
  Timer

    public class ConstantTimer
    extends java.lang.Object
    implements Timer

The `ConstantTimer` is a `Timer` with a constant delay.

Author:
  Mike Clark, Clarkware Consulting, Inc.
See Also:
  `Timer`

### Constructor Summary

Constructors
Constructor and Description
`ConstantTimer(long delay)` Constructs a `ConstantTimer` with the specified delay.

### Method Summary

Methods
`long` `getDelay()` Returns the timer delay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstantTimer

    public ConstantTimer(long delay)

Constructs a `ConstantTimer` with the specified delay.

Parameters:
  `delay` - Delay (in milliseconds).

### Method Detail

#### getDelay

    public long getDelay()

Returns the timer delay.

Specified by:
  `getDelay` in interface `Timer`
Returns:
  Delay (in milliseconds).